# Probabilistic Multiscale Multiple Cracking Model

The repository contains a jupyter notebook explaining and demonstrating 
the implementation of the algorithm simulating multiple-cracking 
of a brittle-matrix composites.

## Execute and interact using Binder
The notebook can be executed directly
using the binder service. It takes a while for the repository image to build up.

[![Binder](https://mybinder.org/badge.svg)](https://mybinder.org/v2/gh/bmcs-group/bmcs_fragmentation.git/master?urlpath=%2Fapps%2Ffragmentation.ipynb) - Start the simple version with constant bond explaining and demonstrating the one-by-one crack tracing algorithm

[![Binder](https://mybinder.org/badge.svg)](https://mybinder.org/v2/gh/bmcs-group/bmcs_fragmentation.git/master?urlpath=%2Fapps%2Fpmcm.ipynb) - Start the multiscale version with a plugged in nonlinear crack bridge model 

## Cite with [![DOI](https://zenodo.org/badge/265839531.svg)](https://zenodo.org/badge/latestdoi/265839531)
The repository can refered to using a unique doi hosted at https://zenodo.org 

## Install with [![conda](https://anaconda.org/anaconda/spyder/badges/installer/conda.svg)](https://www.anaconda.com)
To execute the notebooks locally install the anaconda suite. Required packages
are specified in the environment.yml file. The entry point to the jupyter suite 
is the fragmentation.ipynb notebook.
